---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libMAAClassLoadPrepare.dylib'
relocations:
  - { offsetInCU: 0x26, offset: 0x26, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x0, symBinAddr: 0x12E0, symSize: 0x10 }
  - { offsetInCU: 0x4D, offset: 0x4D, size: 0x8, addend: 0x0, symName: _printdump, symObjAddr: 0xDEC5, symBinAddr: 0x304D, symSize: 0x0 }
  - { offsetInCU: 0x7B, offset: 0x7B, size: 0x8, addend: 0x0, symName: _jvmti, symObjAddr: 0xDEA8, symBinAddr: 0x3030, symSize: 0x0 }
  - { offsetInCU: 0x5878, offset: 0x5878, size: 0x8, addend: 0x0, symName: _with_early_vm_start_capability, symObjAddr: 0xDEB0, symBinAddr: 0x3038, symSize: 0x0 }
  - { offsetInCU: 0x5894, offset: 0x5894, size: 0x8, addend: 0x0, symName: _class_load_events_vm_start_count, symObjAddr: 0xDEB4, symBinAddr: 0x303C, symSize: 0x0 }
  - { offsetInCU: 0x58A9, offset: 0x58A9, size: 0x8, addend: 0x0, symName: _class_in_class_load_events_vm_start, symObjAddr: 0xDEB8, symBinAddr: 0x3040, symSize: 0x0 }
  - { offsetInCU: 0x58C5, offset: 0x58C5, size: 0x8, addend: 0x0, symName: _class_prepare_events_vm_start_count, symObjAddr: 0xDEBC, symBinAddr: 0x3044, symSize: 0x0 }
  - { offsetInCU: 0x58DA, offset: 0x58DA, size: 0x8, addend: 0x0, symName: _class_in_class_prepare_events_vm_start, symObjAddr: 0xDEC0, symBinAddr: 0x3048, symSize: 0x0 }
  - { offsetInCU: 0x58F6, offset: 0x58F6, size: 0x8, addend: 0x0, symName: _class_in_class_prepare_events_vm_live, symObjAddr: 0xDEC1, symBinAddr: 0x3049, symSize: 0x0 }
  - { offsetInCU: 0x5912, offset: 0x5912, size: 0x8, addend: 0x0, symName: _result, symObjAddr: 0xDEC4, symBinAddr: 0x304C, symSize: 0x0 }
  - { offsetInCU: 0x5922, offset: 0x5922, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x0, symBinAddr: 0x12E0, symSize: 0x10 }
  - { offsetInCU: 0x597F, offset: 0x597F, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x10, symBinAddr: 0x12F0, symSize: 0x1A0 }
  - { offsetInCU: 0x5A92, offset: 0x5A92, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x1B0, symBinAddr: 0x1490, symSize: 0x10 }
  - { offsetInCU: 0x5AEF, offset: 0x5AEF, size: 0x8, addend: 0x0, symName: _JNI_OnLoad, symObjAddr: 0x1C0, symBinAddr: 0x14A0, symSize: 0x10 }
  - { offsetInCU: 0x5B51, offset: 0x5B51, size: 0x8, addend: 0x0, symName: _Java_MAAClassLoadPrepare_check, symObjAddr: 0x1D0, symBinAddr: 0x14B0, symSize: 0x230 }
  - { offsetInCU: 0x5D66, offset: 0x5D66, size: 0x8, addend: 0x0, symName: _Callback_ClassFileLoad, symObjAddr: 0x400, symBinAddr: 0x16E0, symSize: 0xF0 }
  - { offsetInCU: 0x5E29, offset: 0x5E29, size: 0x8, addend: 0x0, symName: _Callback_ClassFilePrepare, symObjAddr: 0x4F0, symBinAddr: 0x17D0, symSize: 0x113 }
...
